libnet-sip-perl (0.836-1) unstable; urgency=medium

  * Import upstream version 0.836.
  * Add created test file to debian/clean. (Closes: #1047774)

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 Sep 2023 00:46:32 +0200

libnet-sip-perl (0.835-1) unstable; urgency=medium

  * Import upstream version 0.835.

 -- gregor herrmann <gregoa@debian.org>  Sat, 04 Feb 2023 19:50:02 +0100

libnet-sip-perl (0.834-1) unstable; urgency=medium

  * Import upstream version 0.834.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Jan 2023 21:14:26 +0100

libnet-sip-perl (0.833-2) unstable; urgency=medium

  * Skip fragile test t/24_dtmf_audio.t during build and autopkgtests.
    (Closes: #1017278)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Tue, 23 Aug 2022 20:03:38 +0200

libnet-sip-perl (0.833-1) unstable; urgency=medium

  * Import upstream version 0.833.

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 Dec 2021 17:27:43 +0100

libnet-sip-perl (0.832-1) unstable; urgency=medium

  * Import upstream version 0.829.
    Fixes "several crashing bugs (solved since upstream release 0.829)".
    From the upstream changelog:
    - fix crash introduced in 0.827 when trying to be smarter about timers
      (actually, this just made an error already introduced in 2007 way more
      likely)
    - Propagate timeout errors on TCP connect via callback
      https://github.com/noxxi/p5-net-sip/pull/41
    - If a URL explicitly specified a port number this will take precedence to
      any port number set in the SRV record when resolving the URL.
      https://github.com/noxxi/p5-net-sip/pull/40
    - resolver: make sure to consider a response for TCP even if one for UDP was
      already returned, but the leg is TCP only.
      Do not send DNS SRV queries for protocols not supported by the legs
      https://github.com/noxxi/p5-net-sip/pull/39
      https://github.com/noxxi/p5-net-sip/pull/43
    Thanks to Jonas Smedegaard for the bug report.
    (Closes: #988238)

  * Import upstream version 0.832.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Wed, 29 Sep 2021 18:54:44 +0200

libnet-sip-perl (0.828-1) unstable; urgency=medium

  * Import upstream version 0.828.
  * Update debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Mon, 01 Mar 2021 19:08:17 +0100

libnet-sip-perl (0.827-1) unstable; urgency=medium

  * Import upstream version 0.827.
  * Update years of packaging copyright.
  * Update long description to mention PCMA/8000 support.
    Thanks to Pali for the suggestion.

 -- gregor herrmann <gregoa@debian.org>  Wed, 17 Feb 2021 18:17:52 +0100

libnet-sip-perl (0.826-1) unstable; urgency=medium

  * Import upstream version 0.826.

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 Dec 2020 02:57:11 +0100

libnet-sip-perl (0.825-1) unstable; urgency=medium

  * Import upstream version 0.825.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Tue, 24 Nov 2020 17:59:15 +0100

libnet-sip-perl (0.823-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 0.823.
  * Update debian/patches/fix-upstream-typos.
    2 of 3 typos were fixed upstream.
  * Update years of packaging copyright.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jul 2020 04:27:40 +0200

libnet-sip-perl (0.822-1) unstable; urgency=medium

  * New upstream version 0.822
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.1 (no changes).
  * Make Build-Depends on libio-socket-ssl-perl unversioned.
  * debian/copyright: Update debian/* years.
  * Set Rules-Requires-Root to no.
  * debian/patches/fix-upstream-typos: Fix pod typos

 -- Angel Abad <angel@debian.org>  Tue, 24 Dec 2019 18:16:43 +0100

libnet-sip-perl (0.820-1) unstable; urgency=medium

  * Import upstream version 0.820.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper compatibility level to 11.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Feb 2019 16:47:12 +0100

libnet-sip-perl (0.818-1) unstable; urgency=medium

  * Import upstream version 0.818.
  * Declare compliance with Debian Policy 4.2.1.
  * Remove trailing whitespace from debian/*.
  * Update (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sat, 22 Dec 2018 17:24:01 +0100

libnet-sip-perl (0.815-1) unstable; urgency=medium

  * Import upstream version 0.815.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.1.4.
  * Bump debhelper compatibility level to 10.

 -- gregor herrmann <gregoa@debian.org>  Fri, 22 Jun 2018 22:54:13 +0200

libnet-sip-perl (0.814-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Damyan Ivanov ]
  * New upstream version 0.814
  * drop pod-spelling patch applied upstream

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 Mar 2018 09:25:18 +0000

libnet-sip-perl (0.812-1) unstable; urgency=medium

  * declare conformance with Policy 4.1.2 (no changes needed)
  * New upstream version 0.812
  * add pod-spelling.patch fixing a small typo

 -- Damyan Ivanov <dmn@debian.org>  Thu, 21 Dec 2017 21:10:28 +0000

libnet-sip-perl (0.811-1) unstable; urgency=medium

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Angel Abad ]
  * New upstream version 0.811
  * debian/patches/fix-spelling-error: Remove, applied upstream
  * debian/changelog: Remove trailing whitespaces

 -- Angel Abad <angel@debian.org>  Thu, 09 Nov 2017 13:31:18 +0100

libnet-sip-perl (0.810-1) unstable; urgency=medium

  * Import upstream version 0.810
  * debian/copyright: Update copyright years
  * debian/control: Update {Build-}Depends
  * Bump Standards-Version to 4.1.1 (no changes)
  * debian/patches/fix-spelling-error: New, fix spelling error

 -- Angel Abad <angel@debian.org>  Sun, 08 Oct 2017 11:09:39 +0200

libnet-sip-perl (0.808-1) unstable; urgency=medium

  * Import upstream version 0.808.
    Contains a fix for a test on slow system which was once seen on
    https://tests.reproducible-builds.org .

 -- gregor herrmann <gregoa@debian.org>  Wed, 14 Dec 2016 19:03:37 +0100

libnet-sip-perl (0.807-1) unstable; urgency=medium

  * Import upstream versions 0.806, 0.807.
    Fixes "FTBFS: test failures" (Closes: #842753)
  * Drop spelling.patch, applied upstream.

 -- gregor herrmann <gregoa@debian.org>  Wed, 07 Dec 2016 18:10:46 +0100

libnet-sip-perl (0.802-1) unstable; urgency=medium

  * Import upstream version 0.802.
  * Update (build) dependencies.
  * Add notes about API changes to debian/NEWS.
  * Add a patch to fix a spelling mistake in the POD.

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2016 18:52:21 +0100

libnet-sip-perl (0.702-1) unstable; urgency=medium

  * Import upstream versions 0.700, 0.701, 0.702.
  * Add debian/NEWS to mention API changes.

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Nov 2016 16:42:18 +0100

libnet-sip-perl (0.691-1) unstable; urgency=medium

  * Import upstream version 0.691.
  * Drop fix-pod-spelling.patch, merged upstream.

 -- gregor herrmann <gregoa@debian.org>  Tue, 01 Nov 2016 18:07:18 +0100

libnet-sip-perl (0.690-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Martín Ferrari ]
  * Remove myself from Uploaders.

  [ gregor herrmann ]
  * Remove Jonathan Yu, Jose Luis Rivas, Jotam Jr. Trejo, and Rene Mayorga
    from Uploaders. Thanks for your work!
  * Add debian/upstream/metadata.
  * Import upstream version 0.690.
  * debian/rules: drop removal of POD files.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.8.
  * Update (build) dependencies.
  * Drop pod2man_item.patch, no longer needed.
  * Add more fixes to fix-pod-spelling.patch.

 -- gregor herrmann <gregoa@debian.org>  Sun, 30 Oct 2016 18:49:09 +0100

libnet-sip-perl (0.687-1) unstable; urgency=low

  * [a953215d] Imported Upstream version 0.687
  * [5ead4e6a] Add myself to uploaders
  * [4a96cfd3] Update upstream copyright year
  * [d0a0ada5] Drop trailing slash from metacpan urls
  * [4a8eb36f] Bump standards version to 3.9.5

 -- Daniel Lintott <daniel@serverb.co.uk>  Sat, 22 Feb 2014 17:49:18 +0000

libnet-sip-perl (0.683-1) unstable; urgency=low

  * Imported Upstream version 0.683

 -- Angel Abad <angel@debian.org>  Sun, 27 Oct 2013 10:29:29 +0100

libnet-sip-perl (0.682-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Angel Abad ]
  * Imported Upstream version 0.682
  * debian/control: Build depends on debhelper (>= 9.20120312)
  * debian/patches/fix-pod-spelling.patch: Update patch

 -- Angel Abad <angel@debian.org>  Sun, 11 Aug 2013 12:34:30 +0200

libnet-sip-perl (0.68-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Angel Abad ]
  * Imported Upstream version 0.68
  * debian/copyright: Update debian/* section

 -- Angel Abad <angel@debian.org>  Tue, 29 Jan 2013 11:12:33 +0100

libnet-sip-perl (0.67-1) unstable; urgency=low

  * Imported Upstream version 0.67
  * debian/patches/fix-pod-spelling.patch: Refresh patch
  * Bump Standards-Version to 3.9.4 (no changes)

 -- Angel Abad <angel@debian.org>  Fri, 21 Sep 2012 14:28:28 +0200

libnet-sip-perl (0.66-1) unstable; urgency=low

  * Imported Upstream version 0.66
  * debian/copyright:
    - Update debian years
    - Update debian license
  * debian/control: Add myself to Uploaders

 -- Angel Abad <angel@debian.org>  Tue, 26 Jun 2012 18:24:26 +0200

libnet-sip-perl (0.65-1) unstable; urgency=low

  * Imported Upstream version 0.65
  * Refreshed fix-pod-spelling.patch
  * debian/copyright: updated the format specification to use version 1.0
  * Upgraded to Standards Version 3.9.3
  * Updated debhelper compat level to 9 and added dependency for
    debhelper version >= 9
  * Added myself to Uploaders and Copyright

 -- Jotam Jr. Trejo <jotamjr@debian.org.sv>  Mon, 25 Jun 2012 22:50:18 -0600

libnet-sip-perl (0.64-1) unstable; urgency=low

  * New upstream release.
  * Refresh fix-pod-spelling.patch.

 -- gregor herrmann <gregoa@debian.org>  Fri, 04 Nov 2011 01:04:16 +0100

libnet-sip-perl (0.63-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New upstream release.
  * Refresh fix-pod-spelling.patch.
  * Add another fix to pod2man_item.patch.
  * Update packaging copyright.
  * Set Standards-Version to 3.9.2 (no changes).
  * Bump debhelper compatibility level to 8.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Oct 2011 23:08:55 +0200

libnet-sip-perl (0.62-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 12 Dec 2010 21:29:59 +0100

libnet-sip-perl (0.60-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Refer to "Debian systems" instead of "Debian GNU/Linux
    systems".
  * debian/rules: Use "find -delete" instead of "find | xargs rm".
  * Bump Standards-Version to 3.9.1.
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 04 Dec 2010 12:14:59 +0100

libnet-sip-perl (0.59-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: remove unneeded uversionmangle.
  * Set Standards-Version to 3.9.0 (no changes).
  * Refresh fix-pod-spelling.patch. Update patch headers.
  * Remove obsolete debian/README.source.

 -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jul 2010 17:38:55 +0200

libnet-sip-perl (0.58-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Fri, 16 Apr 2010 22:56:26 +0200

libnet-sip-perl (0.57-1) unstable; urgency=low

  * New upstream release.
  * Convert to source format 3.0 (quilt). Remove quilt framework.

 -- gregor herrmann <gregoa@debian.org>  Wed, 24 Mar 2010 18:28:04 +0100

libnet-sip-perl (0.56-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Yu <jawnsy@cpan.org>  Wed, 03 Feb 2010 12:04:48 -0500

libnet-sip-perl (0.55-1) unstable; urgency=low

  * New upstream release
  * Add a patch to fix POD spelling errors
  * Update copyright to DEP5 format
  * Standards-Version 3.8.4 (no changes)

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 31 Jan 2010 18:27:55 -0500

libnet-sip-perl (0.54-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + Fix in new_from_parts when the header was already given as a
      pair of Net::SIP::HeaderPair objects
  * Update to new short debhelper rules format
  * Refresh copyright file
  * Add myself to Uploaders and Changelog
  * Standards-Version 3.8.3 (drop perl version dependency)
  * Rewrite control description a bit (there were some nonsensical parts)

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 04 Sep 2009 18:04:30 -0400

libnet-sip-perl (0.53-1) unstable; urgency=low

  * New upstream release
  * debian/control; update my email address
  * debian/rules: remove all the .pod files installed that are not needed

 -- Rene Mayorga <rmayorga@debian.org>  Wed, 28 Jan 2009 21:26:50 -0600

libnet-sip-perl (0.52-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Thu, 18 Dec 2008 21:09:22 +0100

libnet-sip-perl (0.51-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Rene Mayorga ]
  * New upstream release
  * debian/patches/pod2man_item.patch; add author and description

  [ gregor herrmann ]
  * debian/copyright: update years of upstream copyright.

 -- Rene Mayorga <rmayorga@debian.org.sv>  Wed, 17 Dec 2008 00:09:59 -0600

libnet-sip-perl (0.50-1) unstable; urgency=low

  [ Jose Luis Rivas ]
  * New upstream release

  [ gregor herrmann ]
  * debian/copyright: remove Debian Perl Group from packaging copyright, refer
    to members.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Sun, 02 Nov 2008 02:23:24 -0430

libnet-sip-perl (0.49-1) unstable; urgency=low

  * New upstream release.
  * Add patch pod2man_item.patch to work around pod2man errors; add quilt
    framework.
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.

 -- gregor herrmann <gregoa@debian.org>  Wed, 01 Oct 2008 23:15:21 +0200

libnet-sip-perl (0.48.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: extend long description (from upstream README).

 -- gregor herrmann <gregoa@debian.org>  Fri, 26 Sep 2008 17:16:14 +0200

libnet-sip-perl (0.47-1) unstable; urgency=low

  * New upstream release.
  * debian/control: change my email address.
  * Refresh debian/{rules,copyright}.

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Sep 2008 22:05:29 +0200

libnet-sip-perl (0.46-1) unstable; urgency=low

  * New upstream release.
  * Added me to uploaders.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Tue, 15 Jul 2008 07:02:14 -0430

libnet-sip-perl (0.45.3-1) unstable; urgency=low

  [ Martín Ferrari ]
  * Updating my email address

  [ Damyan Ivanov ]
  * New upstream release
  * minimize debian/rules with debhelper 7
  * Standards-Version 3.8.0 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 26 Jun 2008 09:57:52 +0300

libnet-sip-perl (0.44.1-1) unstable; urgency=low

  * Three new upstream releases.
  * debian/copyright: new format.
  * debian/control: add myself to Uploaders.
  * debian/rules: prettify a little
  * debian/watch: s/_/./g.

 -- Martín Ferrari <martin.ferrari@gmail.com>  Mon, 17 Mar 2008 00:26:26 -0300

libnet-sip-perl (0.42-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: extend regexp for matching upstream versions.
  * Set debhelper compatibility level to 6.
  * debian/rules: split DESTDIR and PREFIX on make install.
  * debian/copyright: update years and names of contributors to the Debian
    packaging.
  * Add Rene and /me to Uploaders.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 19 Feb 2008 17:33:42 +0100

libnet-sip-perl (0.41-1) unstable; urgency=low

  [ Rene Mayorga ]
  * New upstream release
  * debian/rules
    + use dh_listpackages instead of harcode the name of the package
    + check for /usr/lib/perl5 exist before try to delete it

  [ Damyan Ivanov ]
  * strip Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Mon, 07 Jan 2008 22:45:01 +0200

libnet-sip-perl (0.40-1) unstable; urgency=low

  * New upstream release
  * Bump standard version to 3.7.3 ( no changes requiered )

 -- Rene Mayorga <rmayorga@debian.org.sv>  Mon, 10 Dec 2007 23:02:00 -0600

libnet-sip-perl (0.39-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * debian/rules:
    - Move dh_clean before make distclean.
    - Create install-stamp target, depending on build-stamp.

  [ Damyan Ivanov ]
  * Switch to by-dist watchfile to save uscan from downloading the whole Net/
    modules directory
  * Use dh_clean to remove stamp files

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 17 Nov 2007 22:31:26 +0100

libnet-sip-perl (0.38-1) unstable; urgency=low

  [ Gregor Herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza). Removed: XS-Vcs-Svn fields.

  [ Rene Mayorga ]
  * New upstream release

 -- Rene Mayorga <rmayorga@debian.org.sv>  Mon, 05 Nov 2007 12:16:39 -0600

libnet-sip-perl (0.37-1) unstable; urgency=low

  * New upstream release
  * Promote Homepage as a valid control field in debian/control


 -- Rene Mayorga <rmayorga@debian.org.sv>  Mon, 24 Sep 2007 21:22:09 -0600

libnet-sip-perl (0.35-1) unstable; urgency=low

  * New upstream release
    Fixes, examples, documentation updates

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Sep 2007 09:46:43 +0300

libnet-sip-perl (0.34-1) unstable; urgency=low

  * New upstream release
    + handle OPTIONS requests. These are for instance used
      by Asterisk to determine if the registered party
      accepts incoming calls.
  * debian/control - debian/copyright
     + improving version-independent upstream URL
  * debian/watch
     + changed URL from by-autor to by-module

 -- Rene Mayorga <rmayorga@debian.org.sv>  Fri, 14 Sep 2007 23:36:40 -0600

libnet-sip-perl (0.33-1) unstable; urgency=low

  * New upstream release
    + fix rt#29153 in StatelessProxy.pm ($1 from prev regex
      used after call of user function, which could change it)
    + Endpoint::new_response - make sure that 2xx responses to
      INVITE carry a contact header
  * Moved test suite from install to build target
  * debian/copyright:
    + Changed upstream URL to be version-independent
    + Added copy of Perl license
    + Added myself to packaging copyright holders

 -- Damyan Ivanov <dmn@debian.org>  Thu, 13 Sep 2007 17:10:36 +0300

libnet-sip-perl (0.32-1) unstable; urgency=low

  [ Rene Mayorga ]
  * New upstream release

  [ Damyan Ivanov ]
  * Drop debian/dirs and dh_installdirs call
  * Reverse logic when create Makefile to avoid error-ignoring hyphen
  * Add explicit $(MAKE) call
  * Added myself to Uploaders:

 -- Damyan Ivanov <dmn@debian.org>  Thu, 16 Aug 2007 13:37:36 +0300

libnet-sip-perl (0.31-1) unstable; urgency=low

  * New upstream release

 -- Rene Mayorga <rmayorga@debian.org.sv>  Wed, 08 Aug 2007 13:18:09 -0600

libnet-sip-perl (0.30-1) unstable; urgency=low

  * Initial release (Closes: #432912)

 -- Rene Mayorga <rmayorga@debian.org.sv>  Fri, 13 Jul 2007 00:32:54 -0600
